package com.sa.ibiz.demo.demo.service;

import com.sa.ibiz.demo.demo.domain.MsgSendQueue;
import com.sa.ibiz.demo.demo.service.dto.MsgSendQueueSearchFilter;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.core.metadata.IPage;
import java.util.List;
import com.baomidou.mybatisplus.extension.service.IService;
import java.util.Map;

/**
 * 实体[MsgSendQueue] 服务对象接口
 */
public interface MsgSendQueueService extends IService<MsgSendQueue>{

	boolean create(MsgSendQueue et);
	boolean getDraft(MsgSendQueue et);
	boolean remove(MsgSendQueue et);
		MsgSendQueue get(MsgSendQueue et);
	boolean update(MsgSendQueue et);
	boolean checkKey(MsgSendQueue et);
    List<MsgSendQueue> listDefault(MsgSendQueueSearchFilter filter) ;
	Page<MsgSendQueue> searchDefault(MsgSendQueueSearchFilter filter);
	/**	 实体[MsgSendQueue] 自定义数据查询  	**/
	List<Map<String,Object>> selectRow(String sql);
 }